package com.atlassian.confluence.extra.dynamictasklist.model;

/**
 * A very simple task model.
 *
 * @see TaskList
 */
public class Task
{
    private String name;
    private String completer;

    public Task()
    {
    }

    public Task(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public boolean isCompleted()
    {
        return completer != null;
    }

    public String getCompleter()
    {
        return completer;
    }

    public void setCompleter(String completer)
    {
        this.completer = completer;
    }
}